#!/bin/bash -efu
RELEASE=5.4.3

if [ ! -f assimp-$RELEASE.tar.gz ]; then
    wget -O assimp-$RELEASE.tar.gz https://github.com/assimp/assimp/archive/refs/tags/v$RELEASE.tar.gz
fi

if [ -d assimp-$RELEASE ]; then
    rm -fr assimp-$RELEASE
fi

tar xf assimp-$RELEASE.tar.gz
cd assimp-$RELEASE
find ./ -name "*.dll" -exec git rm -r {} \;
rm -r test/models-nonbsd
# endless sigh
TARBALL_RELEASE=$(sed -nr 's,^PROJECT\(Assimp\ VERSION\ ([0-9]\.[0-9]\.[0-9])\),\1,p' CMakeLists.txt)
if [ -n "$TARBALL_RELEASE" ] && [ "$TARBALL_RELEASE" != "$RELEASE" ]; then
	subst "s,^PROJECT(Assimp VERSION [0-9]\.[0-9]\.[0-9]),PROJECT(Assimp VERSION $RELEASE)," CMakeLists.txt
fi
cd ..
git rm -rf assimp
mv assimp-$RELEASE assimp && git add -f assimp
